FreeMat

- Main Page
- Related Pages

vtkImageFourierFilter

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageFourierFilter is a class of filters that use complex numbers this superclass is a container for methods that manipulate these structure including fast Fourier transforms. Complex numbers may become a class. This should really be a helper class.

To create an instance of class vtkImageFourierFilter, simply invoke its constructor as follows

      obj = vtkImageFourierFilter

# Methods

The class vtkImageFourierFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageFourierFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageFourierFilter = obj.NewInstance ()`
- `vtkImageFourierFilter = obj.SafeDownCast (vtkObject o)`